## ros-one-ament-cmake-version 2.8.4-2noble.20251014.2036

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)

project(ament_cmake_version NONE)

find_package(ament_cmake_core REQUIRED)

ament_package(
  CONFIG_EXTRAS "ament_cmake_version-extras.cmake"
)

install(
  DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME}
)

=== debian/changelog ===
ros-one-ament-cmake-version (2.8.4-2noble.20251014.2036) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Chris Lalancette <clalancette@gmail.com>  Tue, 14 Oct 2025 20:36:06 +0000

ros-one-ament-cmake-version (2.8.4-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 01 Jul 2025 00:00:00 -0000

ros-one-ament-cmake-version (2.8.3-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Thu, 19 Jun 2025 00:00:00 -0000

ros-one-ament-cmake-version (2.8.2-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 04 Jun 2025 00:00:00 -0000

ros-one-ament-cmake-version (2.8.1-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 20 May 2025 00:00:00 -0000

ros-one-ament-cmake-version (2.8.0-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Thu, 24 Apr 2025 00:00:00 -0000

ros-one-ament-cmake-version (2.7.3-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Thu, 17 Apr 2025 00:00:00 -0000

ros-one-ament-cmake-version (2.7.2-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 19 Nov 2024 00:00:00 -0000

ros-one-ament-cmake-version (2.7.1-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Thu, 03 Oct 2024 00:00:00 -0000

ros-one-ament-cmake-version (2.7.0-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 25 Jun 2024 00:00:00 -0000

ros-one-ament-cmake-version (2.6.1-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 17 Jun 2024 00:00:00 -0000

ros-one-ament-cmake-version (2.6.0-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Fri, 26 Apr 2024 00:00:00 -0000

ros-one-ament-cmake-version (2.5.0-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 16 Apr 2024 00:00:00 -0000

ros-one-ament-cmake-version (2.4.0-0noble) noble; urgency=high

  * Update maintainer list in package.xml files (#503 <https://github.com/ament/ament_cmake/issues/503>)
  * Contributors: Michael Jeronimo

 -- Chris Lalancette <clalancette@gmail.com>  Thu, 28 Mar 2024 00:00:00 -0000

ros-one-ament-cmake-version (2.3.2-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 26 Dec 2023 00:00:00 -0000

ros-one-ament-cmake-version (2.3.1-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 06 Nov 2023 00:00:00 -0000

ros-one-ament-cmake-version (2.3.0-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Thu, 07 Sep 2023 00:00:00 -0000

ros-one-ament-cmake-version (2.2.2-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 21 Aug 2023 00:00:00 -0000

ros-one-ament-cmake-version (2.2.1-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 21 Jun 2023 00:00:00 -0000

ros-one-ament-cmake-version (2.2.0-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 07 Jun 2023 00:00:00 -0000

ros-one-ament-cmake-version (2.1.0-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 26 Apr 2023 00:00:00 -0000

ros-one-ament-cmake-version (2.0.2-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 12 Apr 2023 00:00:00 -0000

ros-one-ament-cmake-version (2.0.1-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 11 Apr 2023 00:00:00 -0000

ros-one-ament-cmake-version (2.0.0-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 11 Apr 2023 00:00:00 -0000

ros-one-ament-cmake-version (1.5.3-0noble) noble; urgency=high

  * [rolling] Update maintainers - 2022-11-07 (#411 <https://github.com/ament/ament_cmake/issues/411>)
    * Update maintainers to Michael Jeronimo
  * Contributors: Audrow Nash

 -- Chris Lalancette <clalancette@gmail.com>  Mon, 13 Feb 2023 00:00:00 -0000

ros-one-ament-cmake-version (1.5.2-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 02 Nov 2022 00:00:00 -0000

ros-one-ament-cmake-version (1.5.1-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 13 Sep 2022 00:00:00 -0000

ros-one-ament-cmake-version (1.5.0-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 11 Jul 2022 00:00:00 -0000

ros-one-ament-cmake-version (1.4.0-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Fri, 29 Apr 2022 00:00:00 -0000

ros-one-ament-cmake-version (1.3.1-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 28 Mar 2022 00:00:00 -0000

ros-one-ament-cmake-version (1.3.0-0noble) noble; urgency=high

  * Update forthcoming version in changelog
  * Contributors: Audrow Nash

 -- Chris Lalancette <clalancette@gmail.com>  Thu, 17 Feb 2022 00:00:00 -0000

ros-one-ament-cmake-version (1.2.1-0noble) noble; urgency=high

  * Update maintainers to Michael Jeronimo and Michel Hidalgo (#362 <https://github.com/ament/ament_cmake/issues/362>)
  * Contributors: Audrow Nash

 -- Chris Lalancette <clalancette@gmail.com>  Fri, 14 Jan 2022 00:00:00 -0000

ros-one-ament-cmake-version (1.2.0-0noble) noble; urgency=high

  * Use FindPython3 instead of FindPythonInterp (#355 <https://github.com/ament/ament_cmake/issues/355>)
  * Update maintainers (#336 <https://github.com/ament/ament_cmake/issues/336>)
  * Contributors: Chris Lalancette, Shane Loretz

 -- Chris Lalancette <clalancette@gmail.com>  Fri, 29 Oct 2021 00:00:00 -0000

ros-one-ament-cmake-version (1.1.4-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Thu, 06 May 2021 00:00:00 -0000

ros-one-ament-cmake-version (1.1.3-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 09 Mar 2021 00:00:00 -0000

ros-one-ament-cmake-version (1.1.2-0noble) noble; urgency=high





=== debian/control ===
Source: ros-one-ament-cmake-version
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-ament-cmake-core
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-ament-cmake-version
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-ament-cmake-core
Description: The ability to override the exported package version in the ament buildsystem.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DAMENT_PREFIX_PATH="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-ament-cmake-version//opt/ros/one/lib/:$(CURDIR)/debian/ros-one-ament-cmake-version//opt/ros/one/opt/ament_cmake_version/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-ament-cmake-version 2.8.4-5jammy.20251201.2038

=== debian/changelog ===
ros-one-ament-cmake-version (2.8.4-5jammy.20251201.2038) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Chris Lalancette <clalancette@gmail.com>  Mon, 01 Dec 2025 20:38:27 +0000

ros-one-ament-cmake-version (2.8.4-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 01 Jul 2025 00:00:00 -0000

ros-one-ament-cmake-version (2.8.3-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Thu, 19 Jun 2025 00:00:00 -0000

ros-one-ament-cmake-version (2.8.2-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 04 Jun 2025 00:00:00 -0000

ros-one-ament-cmake-version (2.8.1-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 20 May 2025 00:00:00 -0000

ros-one-ament-cmake-version (2.8.0-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Thu, 24 Apr 2025 00:00:00 -0000

ros-one-ament-cmake-version (2.7.3-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Thu, 17 Apr 2025 00:00:00 -0000

ros-one-ament-cmake-version (2.7.2-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 19 Nov 2024 00:00:00 -0000

ros-one-ament-cmake-version (2.7.1-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Thu, 03 Oct 2024 00:00:00 -0000

ros-one-ament-cmake-version (2.7.0-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 25 Jun 2024 00:00:00 -0000

ros-one-ament-cmake-version (2.6.1-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 17 Jun 2024 00:00:00 -0000

ros-one-ament-cmake-version (2.6.0-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Fri, 26 Apr 2024 00:00:00 -0000

ros-one-ament-cmake-version (2.5.0-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 16 Apr 2024 00:00:00 -0000

ros-one-ament-cmake-version (2.4.0-0jammy) jammy; urgency=high

  * Update maintainer list in package.xml files (#503 <https://github.com/ament/ament_cmake/issues/503>)
  * Contributors: Michael Jeronimo

 -- Chris Lalancette <clalancette@gmail.com>  Thu, 28 Mar 2024 00:00:00 -0000

ros-one-ament-cmake-version (2.3.2-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 26 Dec 2023 00:00:00 -0000

ros-one-ament-cmake-version (2.3.1-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 06 Nov 2023 00:00:00 -0000

ros-one-ament-cmake-version (2.3.0-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Thu, 07 Sep 2023 00:00:00 -0000

ros-one-ament-cmake-version (2.2.2-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 21 Aug 2023 00:00:00 -0000

ros-one-ament-cmake-version (2.2.1-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 21 Jun 2023 00:00:00 -0000

ros-one-ament-cmake-version (2.2.0-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 07 Jun 2023 00:00:00 -0000

ros-one-ament-cmake-version (2.1.0-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 26 Apr 2023 00:00:00 -0000

ros-one-ament-cmake-version (2.0.2-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 12 Apr 2023 00:00:00 -0000

ros-one-ament-cmake-version (2.0.1-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 11 Apr 2023 00:00:00 -0000

ros-one-ament-cmake-version (2.0.0-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 11 Apr 2023 00:00:00 -0000

ros-one-ament-cmake-version (1.5.3-0jammy) jammy; urgency=high

  * [rolling] Update maintainers - 2022-11-07 (#411 <https://github.com/ament/ament_cmake/issues/411>)
    * Update maintainers to Michael Jeronimo
  * Contributors: Audrow Nash

 -- Chris Lalancette <clalancette@gmail.com>  Mon, 13 Feb 2023 00:00:00 -0000

ros-one-ament-cmake-version (1.5.2-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 02 Nov 2022 00:00:00 -0000

ros-one-ament-cmake-version (1.5.1-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 13 Sep 2022 00:00:00 -0000

ros-one-ament-cmake-version (1.5.0-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 11 Jul 2022 00:00:00 -0000

ros-one-ament-cmake-version (1.4.0-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Fri, 29 Apr 2022 00:00:00 -0000

ros-one-ament-cmake-version (1.3.1-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 28 Mar 2022 00:00:00 -0000

ros-one-ament-cmake-version (1.3.0-0jammy) jammy; urgency=high

  * Update forthcoming version in changelog
  * Contributors: Audrow Nash

 -- Chris Lalancette <clalancette@gmail.com>  Thu, 17 Feb 2022 00:00:00 -0000

ros-one-ament-cmake-version (1.2.1-0jammy) jammy; urgency=high

  * Update maintainers to Michael Jeronimo and Michel Hidalgo (#362 <https://github.com/ament/ament_cmake/issues/362>)
  * Contributors: Audrow Nash

 -- Chris Lalancette <clalancette@gmail.com>  Fri, 14 Jan 2022 00:00:00 -0000

ros-one-ament-cmake-version (1.2.0-0jammy) jammy; urgency=high

  * Use FindPython3 instead of FindPythonInterp (#355 <https://github.com/ament/ament_cmake/issues/355>)
  * Update maintainers (#336 <https://github.com/ament/ament_cmake/issues/336>)
  * Contributors: Chris Lalancette, Shane Loretz

 -- Chris Lalancette <clalancette@gmail.com>  Fri, 29 Oct 2021 00:00:00 -0000

ros-one-ament-cmake-version (1.1.4-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Thu, 06 May 2021 00:00:00 -0000

ros-one-ament-cmake-version (1.1.3-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 09 Mar 2021 00:00:00 -0000

ros-one-ament-cmake-version (1.1.2-0jammy) jammy; urgency=high





## ros-one-ament-cmake-version 2.8.4-5noble.20251201.2043

=== debian/changelog ===
ros-one-ament-cmake-version (2.8.4-5noble.20251201.2043) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Chris Lalancette <clalancette@gmail.com>  Mon, 01 Dec 2025 20:43:17 +0000

## ros-one-ament-cmake-version 2.8.5-0jammy.20260114.0907

=== debian/changelog ===
ros-one-ament-cmake-version (2.8.5-0jammy.20260114.0907) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Chris Lalancette <clalancette@gmail.com>  Wed, 14 Jan 2026 09:07:09 +0000

ros-one-ament-cmake-version (2.8.5-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 13 Jan 2026 00:00:00 -0000

## ros-one-ament-cmake-version 2.8.5-0noble.20260114.0912

=== debian/changelog ===
ros-one-ament-cmake-version (2.8.5-0noble.20260114.0912) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Chris Lalancette <clalancette@gmail.com>  Wed, 14 Jan 2026 09:12:38 +0000

ros-one-ament-cmake-version (2.8.5-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 13 Jan 2026 00:00:00 -0000

## ros-one-ament-cmake-version 2.8.6-0jammy.20260223.2104

=== debian/changelog ===
ros-one-ament-cmake-version (2.8.6-0jammy.20260223.2104) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Chris Lalancette <clalancette@gmail.com>  Mon, 23 Feb 2026 21:04:36 +0000

ros-one-ament-cmake-version (2.8.6-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 23 Feb 2026 00:00:00 -0000

## ros-one-ament-cmake-version 2.8.6-0noble.20260223.2057

=== debian/changelog ===
ros-one-ament-cmake-version (2.8.6-0noble.20260223.2057) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Chris Lalancette <clalancette@gmail.com>  Mon, 23 Feb 2026 20:57:17 +0000

ros-one-ament-cmake-version (2.8.6-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 23 Feb 2026 00:00:00 -0000
